<?php get_header(); ?>
	
	<?php if (have_posts()) : ?>
	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>
 	  <?php } ?>
		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
					<div class="date">
						<div class="day"><?php the_time('j') ?></div>
						<div class="month"><?php the_time('M') ?></div>
					</div>
				<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h1>
					
				<div class="alignlefttt">Posted in <?php the_category(', ') ?>&nbsp;  by <?php the_author() ?>  <?php edit_post_link('Edit'); ?> on <?php the_time('F jS, Y') ?></div>
			<div class="alignrighttt"><?php comments_popup_link('No Comments &raquo;', '1 Comment &raquo;', '% Comments &raquo;'); ?></div>

				<div class="entry">

					<?php the_content('Read the rest of this entry &raquo;'); ?>

				</div>

								<p class="info"><?php the_tags('Tags: ', ', ', '<br />'); ?></p>

			</div>

			<?php comments_template(); ?>

		<?php endwhile; ?>

<div class="alignleftttt"><?php next_posts_link('&laquo; Previous Entries') ?></div> <div class="alignrightttt"><?php previous_posts_link('Next Entries &raquo;') ?></div>

	<?php else : ?>

			<h1>Not Found</h1>

			<p>Sorry, but you are looking for something that isn't here.</p>

	<?php endif; ?>
			</div>

	<?php get_sidebar(); ?>
			
			<div class="clearer">&nbsp;</div>

	</div>

<?php get_footer(); ?>
